"The target filename is invalid" when trying to move/delete specific file on Commons
OpenPublic

Description

You do not have permission to move this page, for the following reason:
The target filename is invalid

https://commons.wikimedia.org/wiki/File:Rue_G%C3%A9n%C3%A9ral-Nouvion.JPG

It is not possible to move/delete the file.


Version: wmf-deployment
Severity: critical
URL: https://commons.wikimedia.org/wiki/File:Rue_G%C3%A9n%C3%A9ral-Nouvion.JPG

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz53770.
Steinsplitter created this task.Via LegacySep 4 2013, 7:02 PM
Steinsplitter added a comment.Via ConduitSep 4 2013, 7:04 PM

After moving there are some Files broken:
https://commons.wikimedia.org/wiki/Commons:Administrators'_noticeboard#Files are broken after moving

Steinsplitter added a comment.Via ConduitSep 4 2013, 7:07 PM

Reported by User: https://commons.wikimedia.org/wiki/MediaWiki_talk:Gadget-AjaxQuickDelete.js/auto-errors/5#Autoreport by AjaxQuickDelete 679533204530

Needless to say: There is mounting problems in the last time.

Rillke added a comment.Via ConduitSep 4 2013, 7:37 PM

Created attachment 13240
Where is the file? I tell you -- it's gone! Screenshot of https://commons.wikimedia.org/wiki/File:Station_59_Dittersh%C3%B6he_bei_Dittersdorf_%28Glash%C3%BCtte%29.jpg

Attached:

Steinsplitter added a comment.Via ConduitSep 5 2013, 7:30 AM

https://commons.wikimedia.org/wiki/File:Rue_G%C3%A9n%C3%A9ral-Nouvion.JPG
I cannot delete the broken version of this file )(or rename the file etc.)

Aklapper added a comment.Via ConduitSep 5 2013, 12:59 PM

Aaron: As long as this is "fresh", could you take a look at this?

For https://commons.wikimedia.org/wiki/File:Rue_G%C3%A9n%C3%A9ral-Nouvion.JPG I don't see the thumbnail rendered for the old revision, and clicking that old revision says "404 Not Found - The resource could not be found.
Regexp failed to match URI: "/wikipedia/commons/archive/5/59/" ".

Aklapper added a comment.Via ConduitSep 19 2013, 3:20 PM

Aaron: Could you take a look at this? Or is this lower level?

Revi added a comment.Via ConduitOct 16 2013, 3:55 PM

I had same problem. (see [[commons:User talk:Hym411#Image missing after rename]]).
And when I failed,the file name exist,but there was no media file on the name. (It was restored with some tricks.)

Revi added a comment.Via ConduitOct 24 2013, 11:45 AM

I moved 30 or 40 images today, and I saw this "The target file name is invalid" for 5 or 6 times. It was fixed after 3 or 4 refreshes.

I wonder if it needs separete bug.

Revi added a comment.Via ConduitOct 25 2013, 10:48 AM

Found another error: When I clicked for Rename, file disappeared. [[commons:File:Islamic_compex_Shakhi_Zinda_-_13.JPG]].

Steinsplitter added a comment.Via ConduitOct 25 2013, 10:52 AM

Could someone take a look at this?

Aklapper added a comment.Via ConduitOct 25 2013, 4:31 PM

Aaron / Bryan: ping?

Aklapper added a comment.Via ConduitNov 4 2013, 11:58 PM

Aaron / Bryan: Ping - could you take a look at this?

Revi added a comment.Via ConduitDec 4 2013, 3:46 AM

Any updates?

Bawolff added a comment.Via ConduitDec 4 2013, 4:30 AM

Are all these comments about receiving a "The target file name is invalid", followed by file disappearing, or do some people get different errors, or do sometimes things other than the file disapearing happen. As it stands, the bug report is a bit confusing, possibly including separate issues that should have their own bug(?)

Taking a brief look over the code. This error appears to be coming from LocalFileMoveBatch::doDBUpdates in the case it can't update the db. However in the case of that error, its supposed to rollback the db transaction, and bail, all before touching any files on the file system...

Aklapper added a comment.Via ConduitFeb 24 2014, 10:57 AM

Rainer / Revi /Steinsplitter: I'm sorry this report has not received sufficient attention yet. Are there recent examples for this problem?

Aklapper added a comment.Via ConduitMay 12 2014, 7:01 AM

Are there recent examples for this problem?

Steinsplitter added a comment.Via ConduitMay 12 2014, 9:37 AM

No. The community has reported enough examples sine monts. Pls query the db for anormal db entrys. It is techs work to find this issues. They have access to to productiondb.

It well known that a lot of such problems (see other mediastoage bugs) are because of the file "broken" backend.

Steinsplitter added a comment.Via ConduitMay 14 2014, 6:06 PM

How can an organization with a budget of US$55 million don't fix such a HIG PRIO bug ??

Bawolff added a comment.Via ConduitMay 19 2014, 8:05 PM

(In reply to Andre Klapper from comment #5)

Aaron: As long as this is "fresh", could you take a look at this?

For
https://commons.wikimedia.org/wiki/File:Rue_G%C3%A9n%C3%A9ral-Nouvion.JPG I
don't see the thumbnail rendered for the old revision, and clicking that old
revision says "404 Not Found - The resource could not be found.
Regexp failed to match URI: "/wikipedia/commons/archive/5/59/" ".

I believe the broken old version of the file is caused by (the now fixed) bug 54736 (Since it has mising archive name, exact same timestamp as other version, and was uploaded by upload wizard). I probable conjecture is that the broken nature of this file is preventing other actions to happen to this file, as a safety precaution when the code notices that it cannot succesfully move/delete/etc the file, so it doesn't do anything to prevent the translation of an inconsistent state/unknown state into a further data loss state. Maybe. That's just a guess with no checking or evidence to back it up.

Bawolff added a comment.Via ConduitMay 19 2014, 9:29 PM

(In reply to Bawolff (Brian Wolff) from comment #19)

(In reply to Andre Klapper from comment #5)
> Aaron: As long as this is "fresh", could you take a look at this?
>
> For
> https://commons.wikimedia.org/wiki/File:Rue_G%C3%A9n%C3%A9ral-Nouvion.JPG I
> don't see the thumbnail rendered for the old revision, and clicking that old
> revision says "404 Not Found - The resource could not be found.
> Regexp failed to match URI: "/wikipedia/commons/archive/5/59/" ".

I believe the broken old version of the file is caused by (the now fixed)
bug 54736 (Since it has mising archive name, exact same timestamp as other
version, and was uploaded by upload wizard). I probable conjecture is that
the broken nature of this file is preventing other actions to happen to this
file, as a safety precaution when the code notices that it cannot
succesfully move/delete/etc the file, so it doesn't do anything to prevent
the translation of an inconsistent state/unknown state into a further data
loss state. Maybe. That's just a guess with no checking or evidence to back
it up.

Testing this theory, I tried locally creating a file that would have bad database entries similar to what bug 54736 would cause (via just adding a dummy oldimage entry without an oi_archive_name), to see if moving/deleting is affected. However I could still move/delete my test file just fine. So no go on that. However it could be that either the physical files are messed up, or that different code paths are executed when using swift vs when using normal file system image backend (like my local wiki uses)

Bawolff added a comment.Via ConduitMay 19 2014, 10:03 PM

For issue of why we have some files with broken history still happening after the other bug fix, I'm splitting that off to bug 65511, so that this bug could just be about inability to move/delete certain files.

Gilles added a project: Multimedia.Via WebNov 26 2014, 4:28 PM
Aklapper added a project: Commons.Via WebMar 10 2015, 4:45 PM
Steinsplitter moved this task to Backlog on the Commons workboard.Via WebMar 11 2015, 12:54 PM

Add Comment